Subject: So I made a thing: nncp-echomail

From: Eugene Medvedev <[email-masked]>
Date: Sat, 4 Oct 2025 16:52:36 +0300

I have mentioned previously that I've been working
on a system using NNCP areas.

So here it is, an echomail/forum-like system relying
on NNCP areas for routing, deliberately designed
to be as simple to code for as possible:

https://github.com/Mihara/nncp-echomail

This is a prototype. It will work, but there are very
likely corner cases I didn't think of, things that are
probably a bad idea someone will inevitably point
out, and there's no mail editor yet. I plan to cook
something up in the next few weeks, but maybe
someone will beat me to it.

As of today, this is by nature not resistant to sender
spoofing: NNCP does not yet expose the actual
sender ID to execs receiving packets from areas.
Something that can hopefully be fixed, though.

Please discuss.

P.S. Yes, you can Usenet and email over NNCP,
The plan is to get the areas some love, though,
and rely on them for routing.

-- 
Eugene Medvedev